Create a configuration
curl --request POST \
--url https://managexrapi.com/v1/configurations/ \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "New Configuration A"
}
'import requests
url = "https://managexrapi.com/v1/configurations/"
payload = { "name": "New Configuration A" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'New Configuration A'})
};
fetch('https://managexrapi.com/v1/configurations/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "sFidGmedeQofSBcvRcyn",
"name": "Education",
"registrationCode": "f7GbHvH",
"deviceCount": 15,
"deviceExperienceMode": "HOME_SCREEN",
"vrContent": [
{
"id": "av_123",
"type": "managed",
"configurationDeployments": {
"config_123": 1,
"config_456": 0
},
"createdAt": 1645615777448,
"updatedAt": 1687352117203,
"versionCode": 83894522,
"versionName": "8.7.8.1206",
"versionLabel": "Quest",
"hidden": false,
"forceInstall": false,
"apkSize": 72633861,
"obbSize": 1024,
"selfHosted": true,
"apkUrl": "https://storage.example.com/apps/com.example.app.apk",
"obbUrl": "https://storage.example.com/apps/com.example.app.obb",
"sharingOrganizationName": "XR Developer",
"releaseChannelName": "Production",
"supportedDeviceModels": [
"Quest 3",
"Quest 3S",
"Pico 4 Ultra Enterprise"
]
}
],
"kioskVrContent": {
"type": "app",
"id": {
"packageName": "<string>",
"releaseChannel": "<string>"
}
},
"kioskVideoSettings": {
"loopVideo": true,
"loopVideoAfterNSecondsHeadsetOff": 30
},
"files": [
{
"id": "DLO133U5NFLMAL1",
"url": "https://storage.googleapis.com/managexr-files/org_456/files/file_123abc.mp4",
"name": "main_assets_all.bundle",
"size": 1204975930,
"md5": "7ah69cMtXyaz5OfsCRtOjQ==",
"description": "Content bundle for training app",
"libraryDirectoryPath": "/",
"deviceDirectoryPaths": [
"/Android/obb/com.managexr.exampleApp/files"
]
}
],
"wifiNetworks": [
{
"id": "wifi_abc123",
"ssid": "MyNetwork",
"nickname": "Office Wi-Fi",
"type": "WPA_ENTERPRISE",
"priorityWifiNetwork": false
}
]
}
}{
"statusCode": 403,
"message": "Forbidden",
"error": "ManageXR Error"
}Configurations
Create Configuration
Create a new configuration. Creates a blank configuration with default settings and no content.
POST
/
v1
/
configurations
/
Create a configuration
Authorizations
API key based authentication where is the Base64 encoding of API_KEY_ID:API_KEY_SECRET
- Username: The API Key ID.
- Password: The API Key Secret.
Query Parameters
Unique identifier of the organization. This parameter is only necessary when using multi-organization API keys.
Defaults to the organizationId associated with the API key.
Body
application/json
Name of the configuration
Response
The created configuration
Full representation of a configuration.
Show child attributes
Show child attributes
⌘I